Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.iplan
Class PlanCheckingSimulator.CheckingInterpreter

    java.lang.Object
      ix.util.lisp.Interpreter
          ix.util.lisp.LispInterpreter
              ix.ip2.LispComputeInterpreter
                  ix.iplan.PlanCheckingSimulator.CheckingInterpreter

All Implemented Interfaces:
  ComputeInterpreter

Enclosing class:
  PlanCheckingSimulator

    protected class PlanCheckingSimulator.CheckingInterpreter

extends LispComputeInterpreter

Nested Class Summary

Nested classes/interfaces inherited from class ix.util.lisp.LispInterpreter
`LispInterpreter.Parser, LispInterpreter.Syntax, LispInterpreter.SyntaxError`

Nested classes/interfaces inherited from class ix.util.lisp.Interpreter
`Interpreter.AbstractEnv, Interpreter.AbstractFunction, Interpreter.And, Interpreter.Assignment, Interpreter.Call, Interpreter.Closure, Interpreter.Env, Interpreter.Error, Interpreter.Expr, Interpreter.Function, Interpreter.GlobalEnv, Interpreter.If, Interpreter.JFunction, Interpreter.Lambda, Interpreter.Let, Interpreter.LexicalEnv, Interpreter.Literal, Interpreter.Or, Interpreter.Sequence, Interpreter.VarRef, Interpreter.While`

Field Summary

Fields inherited from class ix.ip2.LispComputeInterpreter
`modelManager, UNDEF`

Fields inherited from class ix.util.lisp.LispInterpreter
`COND, ELLIPSIS, LAMBDA, parserTable, PROGN, QUOTE, reader`

Fields inherited from class ix.util.lisp.Interpreter
`DEFAULT, FALSE, globalEnv, iscript, TRUE`

Constructor Summary
`PlanCheckingSimulator.CheckingInterpreter(Ip2 ip2)`

Method Summary
`protected java.lang.Object` | `getWorldStateValue(LList pattern)`

Methods inherited from class ix.ip2.LispComputeInterpreter
`compute, defineBuiltins, loadSupportCode`

Methods inherited from class ix.util.lisp.LispInterpreter
`define, define, define, defineInitialValues, defineSyntax, installDefinitions, isTrue, loadLisp, loadLisp, main, parseForm, parseList, topLevelEval`

Methods inherited from class ix.util.lisp.Interpreter
`nameForClass, topLevelApply, topLevelEval`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface ix.ip2.ComputeInterpreter
`define, isTrue`

Constructor Detail

### PlanCheckingSimulator.CheckingInterpreter

    public PlanCheckingSimulator.CheckingInterpreter(Ip2 ip2)

Method Detail

### getWorldStateValue

    protected java.lang.Object getWorldStateValue(LList pattern)

  Overrides:
    `getWorldStateValue` in class `LispComputeInterpreter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD